Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002193TestLinkReportspublic2009-03-04 15:212010-02-16 02:14
Reporterkeeyou 
Assigned ToEloff 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version1.9 (Prague) 
Summary0002193: General Test Plan Metrics - Test results according to test priorities
DescriptionOn the report "General Test Plan Metrics" in section "Test results according to test priorities" in column "Test progress [%]" they are displayed numbers of tests executed in each priority and percent. But the percent values are calculated as: [executed tests of priority X] / [all executed tests] - that information is of no use in test process. We'd rather want to know what percentage of PLANNED X-priority tests has been already EXECUTED. So, the metrics should be calculated like this:
[executed tests of priority X] / [ planned tests of priority X]
so the desirable status of tests according priorities should look like this:
Overall test priority Test progress [%]
High priority - 1/2 [ 50.0 %]
Medium priority - 3/3 [ 100.0 %]
Low priority - 5/5 [ 100.0 %]
- and thats the right info for the test manager, because he can spot the possible problems in the sequence of test execution.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE 6, Mozilla Firefox 2.0
PHP Version5
TestCaseID
QA Team - Task Workflow Status
Attached Filesdoc file icon estimations_reports.doc [^] (28,672 bytes) 2009-06-06 13:59
png file icon aggregated_priorities.png [^] (45,340 bytes) 2009-07-30 20:15

- Relationships
related to 0002192closedJulian General test plan metrics - bad status of milestones 
parent of 0002649closedEloff "Test results according to test priorities": Test progress [%] does not provide info about progress of each priority 

-  Notes
(0007119)
keeyou (reporter)
2009-06-02 17:13

is there any chance for resolving this problem?
(0007150)
Amaradana (reporter)
2009-06-04 17:13

Sorry to bug this bug :). I guess if the priorites shown module wise that would be nice, say module1 what is high, medium, and low. this should be shown based on the pass, fail and not run.,
(0007184)
keeyou (reporter)
2009-06-06 13:44

Hi Amaradana! Forgive me, but I'm afraid I didn't understand what you wrote, I don't get the point. Maybe my english is not good enough? Or maybe you could try to explain your point more clearly?

Greetings.
(0007185)
Amaradana (reporter)
2009-06-06 13:58
edited on: 2009-06-06 14:04

I Guess this will be completly off the topic. But here are my thoughts. We generate reports after the Execution part is ove.

Now coming to the point
1. I still doestn't know how many companies follow this, But we do. Managers give estimation for the time taken for the high medium and low proity test cases. Testlink dont generate the reports before the execution part.
Solution, Every test suite is defined with high, low, medium priorities will be set for test cases, and also time taken for executing will be decided. Can we generate a report based on this metrics. Some thing like the table present in the attached file,

2. The defect you raised.
For the priorities, why cant show how many pass fail and blocked in prority wise.

Please let me know your thoughts these are just my opnions. Since say extimations are always important. If we dumped 1000 test cases into tool. again why would some one would update the same in excel sheet and do manual caliculations for estimations. It is really pain. I knew this is off the topic. But the estimation would really helpful for the project.

(0007685)
Eloff (reporter)
2009-07-30 20:15

While adding other features I alos came across this problem.
In my development branch it looks like the attached screenshot.
It's not implmented in HEAD yet
(0007697)
Misima (reporter)
2009-07-31 17:22

Cool! Please implemnet it in HEAD asap.
(0007715)
mhavlat (reporter)
2009-08-04 02:38

Erik, could you attach a patch and reassign to me or Francisco? Thanks.
(0009030)
Eloff (reporter)
2010-02-16 02:13

This was fixed in cvs some time ago. See issue 0003060

- Issue History
Date Modified Username Field Change
2009-03-04 15:21 keeyou New Issue
2009-03-04 15:21 keeyou Browser => IE 6, Mozilla Firefox 2.0
2009-03-04 15:21 keeyou PHP Version => 5
2009-03-09 05:45 mhavlat Relationship added related to 0002192
2009-06-02 17:13 keeyou Note Added: 0007119
2009-06-04 17:13 Amaradana Note Added: 0007150
2009-06-06 13:44 keeyou Note Added: 0007184
2009-06-06 13:58 Amaradana Note Added: 0007185
2009-06-06 13:59 Amaradana File Added: estimations_reports.doc
2009-06-06 14:00 Amaradana Note Edited: 0007185
2009-06-06 14:04 Amaradana Note Edited: 0007185
2009-07-30 20:11 Eloff Relationship added parent of 0002649
2009-07-30 20:15 Eloff Note Added: 0007685
2009-07-30 20:15 Eloff File Added: aggregated_priorities.png
2009-07-31 17:22 Misima Note Added: 0007697
2009-08-04 02:38 mhavlat Note Added: 0007715
2009-08-04 02:38 mhavlat Assigned To => Eloff
2009-08-04 02:38 mhavlat Status new => acknowledged
2009-08-04 20:49 Eloff Assigned To Eloff =>
2009-08-04 20:49 Eloff Status acknowledged => assigned
2009-08-04 20:49 Eloff Assigned To => mhavlat
2010-02-16 02:13 Eloff Assigned To mhavlat => Eloff
2010-02-16 02:13 Eloff Note Added: 0009030
2010-02-16 02:13 Eloff Status assigned => closed
2010-02-16 02:14 Eloff Resolution open => fixed
2010-02-16 02:14 Eloff Fixed in Version => 1.9 (Prague)



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker